# $Revision: 1.41 $, $Date: 2002/11/21 11:06:37 $
Summary:	Network Time Protocol utilities
Summary(pl):	Narzdzia do synchronizacji czasu (Network Time Protocol)
Name:		ntp
Version:	4.1.1a
Release:	2
License:	distributable
Group:		Daemons
Obsoletes:	xntp3
Source0:	ftp://ftp.udel.edu/pub/ntp/ntp4/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}.keys
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}d.8
Source6:	%{name}date.8
Patch0:		%{name}-time.patch
Patch1:		%{name}-vsnprintf.patch
Patch2:		%{name}-no_libelf.patch 
URL:		http://www.ntp.org/
BuildRequires:	readline-devel >= 4.2
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ntp
%define		_bindir		%{_sbindir}

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

%description -l pl
Pakiet zawiera narzdzia i demony suce do dokadnego
synchronizowania czasu Twojego komputera: ntpdate, program podobny do
rdate oraz ntpd, demon aktualizujcy czas w sposb cigy.

%package doc-html
Summary:	HTML documentation for ntp
Summary(pl):	Dokumentacja HTML dla ntp
Group:		Daemons

%description doc-html
HTML documentation for ntp.

%description doc-html -l pl
Dokumentacja do ntp w HTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig},%{_mandir}/man8}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ntp.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/keys
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntp
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/ntp
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ntp
if [ -f /var/lock/subsys/ntp ]; then
	/etc/rc.d/init.d/ntp restart >&2
else
	echo "Run \"/etc/rc.d/init.d/ntp start\" to start ntp daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/ntp ]; then
		/etc/rc.d/init.d/ntp stop >&2
	fi
	/sbin/chkconfig --del ntp
fi

%files
%defattr(644,root,root,755)
%doc NEWS TODO conf/*.conf
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/ntp
%attr(640,root,root) %config %verify(not size md5 mtime) /etc/sysconfig/*
%{_mandir}/man8/*

%files doc-html
%defattr(644,root,root,755)
%doc html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ntp.spec,v $
Revision 1.41  2002/11/21 11:06:37  ankry
- another way to avoid unnecessary libelf linking (patch instead of BC)
- release 2

Revision 1.40  2002/10/26 18:03:24  zagrodzki
- updated to 4.1.1a
- STBR

Revision 1.39  2002/10/07 14:09:25  qboosh
- new %%doc, more specific Requires

Revision 1.38  2002/05/22 09:17:43  yaro
- added obsoletes xntp3

Revision 1.37  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/02/19 12:19:42  kloczek
- release 5.

Revision 1.33  2002/02/18 21:24:51  gotar
- %desc

Revision 1.32  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/01 11:47:44  mkochano
- Release 4.
- Small correction in polish %%description.

Revision 1.30  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.29  2001/10/11 13:38:56  qboosh
- added missing pl summary

Revision 1.28  2001/09/25 09:41:33  qboosh
- release 3: Prereq: /sbin/chkconfig

Revision 1.27  2001/08/18 21:41:56  kloczek
- release 2: added ntpdate(8) and ntpd(8) man pages from Debian.

Revision 1.26  2001/08/15 13:57:27  areq
- update to 4.1.0, STBR
- remove: overflow.patch, typos.patch, usegethost.patch, vsnprintf.patch, tmp.patch

Revision 1.25  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/05/29 10:59:20  zagrodzki
- updated init (source ntp configuration too)

Revision 1.22  2001/05/10 14:51:49  zagrodzki
- release 14
- updated sysconfig, init and conf

Revision 1.21  2001/04/13 04:08:31  kloczek
- added BuildConflicts for libelf.

Revision 1.20  2001/04/13 03:12:36  kloczek
- release 13,
- added libelf-devel and readline-devel to BuildRequires,
- rebuild against readline 4.2.

Revision 1.19  2001/04/10 09:19:58  kloczek
- release 12,
- merge usegethost, typos, vsnprintf patches from rawhide and tmp patch from MDK.

Revision 1.18  2001/04/10 08:48:40  zagrodzki
- improved ntp-overflow.patch :)

Revision 1.17  2001/04/06 07:10:44  misiek
added URL:

Revision 1.16  2001/04/05 06:46:59  misiek
release 7; added security fix for recently found overflow; stb

Revision 1.15  2001/04/02 09:36:51  zagrodzki
- added defattr for ntp-doc-html
- release 6

Revision 1.14  2001/03/31 17:25:41  bonkey
- added --program-transform-name="" to avoid "%arch-pld-linux" prefix in binaries
- release 5

Revision 1.13  2001/03/31 16:41:04  zagrodzki
- time.h patch

Revision 1.12  2001/03/31 12:48:32  misiek
%{__autoconf} changes

Revision 1.11  2001/03/31 12:05:03  zagrodzki
- more iprovements in ntp.init
- release 4

Revision 1.10  2001/03/27 19:39:47  zagrodzki
- fixed ntp.init
- release 3

Revision 1.9  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.8  2000/12/14 09:43:20  jajcus
- Release: 2

Revision 1.7  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/09/11 09:25:01  dobrek
- Added new package named ntp-doc-html.
- The name is preaty selfexplanatory.

Revision 1.5  2000/08/26 21:29:38  kloczek
- back to use ./configure instead %%configure macro (in ntp is used autoconf
  script basing on abilities autoconf 2.14) - this is temporary woraround
  because this requre rework %%configure macro in oure dist rpm.

Revision 1.4  2000/08/26 16:18:19  kloczek
- spec adaperized,
- added Requires: rc-scripts,
- added using %%configure macro,
- standarized %post/postpreun,
- check in %post/posun /var/lock/subsys/ntp (not /var/lock/subsystem/ntp).
- new %description (borowed from RH).

Revision 1.3  2000/08/26 15:57:16  serek
upgrade to the newest version

Revision 1.2  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/06/03 19:24:13  kloczek
- changed name xntp3 to ntp.

Revision 1.11  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.9  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Sep 27 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [5.93-5]
- defined files permission
- translations modified for pl
- build against glibc 2.1
- moved ntp.conf to /etc/ntp.conf
- added usage of chkconfig
- removed syncing time at daemon start
